	/* Programma PARENTI */
DOMAINS
  persona = symbol
  
PREDICATES
  maschio(persona)
  femmina(persona)
  padre(persona,persona)
  madre(persona,persona)
  genitore(persona,persona)
  sorella(persona,persona)
  fratello(persona,persona)
  zio(persona,persona)
  nonno(persona,persona)
  
CLAUSES
  maschio(alan).
  maschio(charles).
  maschio(bob).
  maschio(ivan).
  
  femmina(beverly).
  femmina(fay).
  femmina(marilyn).
  femmina(sally).
  
  madre(marilyn,beverly).
  madre(alan,sally).
  
  padre(alan,bob).
  padre(beverly,charles).
  padre(fay,bob).
  padre(marilyn,alan).
  
  genitore(X,Y) :- madre(X,Y).
  genitore(X,Y) :- padre(X,Y).
  
  fratello(X,Y) :- maschio(Y),
  		   genitore(X,P),
  		   genitore(Y,P),
  		   X<>Y.
  		   
  sorella(X,Y)  :- femmina(Y),
  		   genitore(X,P),
  		   genitore(Y,P),
  		   X<>Y.
  		 
  zio(X,Z)      :- madre(X,P),
  		   fratello(P,Z).
  zio(X,Z)	:- padre(X,P),
  		   fratello(P,Z).
  		   
  nonno(X,N)	:- padre(P,N),
  		   madre(X,P).
  nonno(X,N)	:- padre(X,P),
  		   padre(P,N).
  		   