                  /* EQUAZ2G */
PREDICATES
     risolvi(real,real,real)
     comunica(real,real,real)

CLAUSES
     risolvi(A,B,C) :-
               D = B*B-4*A*C, comunica(A,B,D), nl.

     comunica(_,_,D) :- D < 0, write("Nessuna soluzione reale"), !.
     comunica(A,B,D) :-
               D = 0, X=-B/(2*A), write("x1=x2=",X), !.
     comunica(A,B,D) :-
               SqrtD = sqrt(D),
               X1 = (-B + SqrtD)/(2*A),
               X2 = (-B - SqrtD)/(2*A),
               write("x1 = ",X1," ; x2 = ",X2).
